/* acconfig.h
   This file is in the public domain.

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* $Id: acconfig.h,v 1.18 1998/11/16 17:37:39 dolecek Exp $ */

/* default server encoding; if the document won't say or it's not */
/* set otherwise in modules configuration, recoder will think source */
/* is in this encoding */ 
#undef CSA_DEFSOURCE

/* method of taking a document - only of some value for (Fast)CGI */
#undef CSA_METHOD_GUESS
#undef CSA_METHOD_HTTP
#undef CSA_METHOD_FILE

/* type of system where CSacek has been compiled */
#undef CSA_SYSTEM_TYPE

/* do we want to decode input from target encoding into encoding of server ? */
#undef CSA_WANT_DECODEQUERY

/* define if you like CSacek react to QUERY_STRING starting with string   */
/* "csa_info" by generating short info page about compiled-in defaults */
#undef CSA_WANT_INFO

/* use on-fly compression for text pages if possible */
#undef CSA_WANT_COMPRESSION

/* (Fast)CGI - control, if there is SECUREFILE (see "defaults.h") on path    */
/* to accessed document so access control checks won't be bypassed by CSacek */
#undef CSA_WANT_SECURE

/* directory, where all the CSacek template files reside */
#undef CSA_TEMPLATEDIR

/* defined if we are debugging */
#undef CSA_DEBUG

/* defined if compiled under CSacek */
#undef CSACEK

/* define to empty if the keyword doesn't work */
#undef signed


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
