/*                                                                      
 *  C-SaCzech
 *
 *  Copyright (c) 1996-1999 Jaromir Dolecek <dolecek@ics.muni.cz>           
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ----
 * Note:
 *   If the conditions of GPL are unacceptable for you, contact
 *   author to adjust something more suitable for your needs.
 */

/* $Id: csa_defaults.h,v 1.32 1999/11/23 22:32:20 dolecek Exp $ */

#ifndef _CSA_CONFIG_H_
#define _CSA_CONFIG_H_

/* separator of items in DEFAULT_FILES and others - has to be a char */
#define CSA_SEP	','

/* if document name ends with one of these suffixes, it WILL be converted
 * otherwise the contents won't be touched
 * is used by (Fast)CGI only */
#define CSA_CONVERT_SUFFIXES	".html,.htm,.txt,.cz"

/* list of suffixes to be ignored in SCRIPT_NAME; they won't be ever */
/* a partname */
#define CSA_IGNORE_SUFFIXES	".cgi,.exe,.fcgi,.fgi"

/* add a bar with encoding menu to the end of _every_ page (even if it's
 * not explicitly requested by BAR command) ? */
/* #undef CSA_ALWAYSADDBAR */

/* use long names in the BAR ? */
/* #undef CSA_LONGNAMEBAR */

/* czech text written before bar itself */ 
#define CSA_HEADBARTEXT          "<HR><EM><A HREF=\"http://www.csacek.cz/\">C-SaCzech</A></EM> - <B>volba k&oacute;dov&aacute;n&iacute;:</B> <BR>"

/* english text written before bar itself */
#define CSA_EHEADBARTEXT          "<HR><EM><A HREF=\"http://www.csacek.cz/\">C-SaCzech</A></EM> - <B>select encoding of czech characters:</B> <BR>"

/* czech text written after bar itself */
#define CSA_TAILBARTEXT          "<HR>"

/* english text written after bar itself */
#define CSA_ETAILBARTEXT          "<HR>"

/* add the link to ``whichcode'' script to the bar by default too */
/* #undef CSA_ADDWHICHCODE */

/* default name of link to ``whichcode'' script */
#define CSA_BARWHICHCODENAME          "whichcode"

/* redirect client to URL ending with '/' if it doesn't and points
 * to a directory; you should leave this defined */
#define CSA_CANONIFY_DIRURL

/* be compatible with CSacek 1.3.X and previous */
#define CSA_COMPAT_13X

/* basic support for Mr. Lampa's Apache module -- __LAMPANAME__ is
 * substituted by output charset name in form used by that module */
#define CSA_COMPAT_LAMPA

/* tag marking extended CSacek commands */
#define CSA_CMD_TAG		'?'

/* default partname; used when there is no explicit partname set, such as
 * when SCRIPT_NAME is something like "/cgi-bin/toASCII" */
#define CSA_DEFAULT_PARTNAME	"cs"

/* default IgnorePrefix (see Apache configuration command csacekIgnorePrefix)
 * important for Apache module only */
#define CSA_DEFAULT_IGNOREPREFIX	"/cgi-bin"

/* directory with template files, used for example by CSacek's whichcode */
#define CSA_WHICHCODETEMPLATE	"whichcode_template.html"

/* use (optional) parameter "charset" in output Content-Type header */
#define CSA_USE_CHARSET

/* if a requested document ends with one of these suffixes, CSacek will
 * ignore it and won't touch it at all */
#define CSA_NONCSACEK	".gif,.jpg,.ps,.gz,.tgz,.zip,.mov"

#endif /* _CSA_CONFIG_H_ */
